Bug 110419 - /usr/lib/sane/ inappropriately added to /etc/ld.so.conf
/usr/lib/sane/ inappropriately added to /etc/ld.so.conf
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-19 08:59 EST by Nick Lamb
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.0.12-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-20 07:39:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Lamb 2003-11-19 08:59:12 EST
On a fresh install of Fedora Core, the file /etc/ld.so.conf lists
/usr/lib/sane
as one of the search directories for shared libraries

This is wrong, the /usr/lib/sane directory contains only SANE
backends, not ordinary libraries. SANE's dll backend is capable of
determining for itself the location of these shared objects, which
could be thought of in this context as "plug-ins" akin to the XMMS
plug-ins, and many others which of course are not listed in
/etc/ld.so.conf

If this package (sane-backends) changes /etc/ld.so.conf then it should
be patched not to do so. If instead the change is a patch in Fedora's
glibc (the package which owns /etc/ld.so.conf itself) then please
re-assign this bug to the appropriate maintainer.
Comment 1 Tim Waugh 2003-11-19 09:02:48 EST
It is added (by the sane-backends package) in order for the dlopen to
work.  The files that are dlopen'd are the *.so.1 symlinks, which are
put in place by ldconfig.
Comment 2 Nick Lamb 2003-11-19 12:52:27 EST
Surely the correct incantation in that case is
ldconfig -n /usr/lib/sane
... rather than altering the system library config?
Comment 3 Tim Waugh 2003-11-20 07:39:27 EST
Hmm, good point.  Try 1.0.12-6.

Note You need to log in before you can comment on or make changes to this bug.